# Send request for calling permission

{% hint style="info" %}
**Note:**

* For APIs used for Shop, the API key is: [`<api_key>`](https://docs.etelecom.vn/api-etelecom-english/api-integration/shop/account). The base\_url information of the [Shop](https://docs.etelecom.vn/api-etelecom-english/api-integration/shop/account).
* For APIs used for Partner, the API key is: [`<shop_key>`](https://docs.etelecom.vn/api-etelecom-english/partner/usage#retrieve-the-shop_key-information). The base\_url information of the [Partner](https://docs.etelecom.vn/api-etelecom-english/api-integration/partner/account).
  {% endhint %}

**Request:**

```
curl --location '$BASE_URL.Zalo/RequestConsent' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API-KEY' \
--data '{
  "call_type": "video",
  "oa_id": "<int64>",
  "phone": "<string>",
  "reason_code": "product_service_consulting"
}'
```

**Response:**

```
{
  "call_type": "unknown",
  "created_at": "2019-08-24T14:15:22Z",
  "delivery_status": "unknown",
  "delivery_time": "2019-08-24T14:15:22Z",
  "error_code": 0,
  "error_message": "string",
  "expires_at": "2019-08-24T14:15:22Z",
  "id": "string",
  "is_charged": true,
  "oa_id": "string",
  "phone": "string",
  "reason_code": "unknown",
  "reply_status": "Z",
  "shop_id": "string",
  "status": "Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "user_id": "string"
}
```

**Request body structure**

| Parameters   | Data type | Describe                                                                                                                                                                                                                                                                                                                                                                                      |
| ------------ | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| call\_type   | string    | <ul><li><strong>audio:</strong> Voice call</li><li><strong>video:</strong> Video Call</li><li><strong>audio\_and\_video:</strong> Both voice and video calls</li></ul>                                                                                                                                                                                                                        |
| id           | int64     | OA ID                                                                                                                                                                                                                                                                                                                                                                                         |
| phone        | string    | Recipient phone number                                                                                                                                                                                                                                                                                                                                                                        |
| reason\_code | string    | <ul><li><strong>product\_service\_consulting :</strong> Product / service consulting</li><li><strong>order\_appointment\_confirmation :</strong> Order / appointment confirmation</li><li><strong>delivery\_notification :</strong> Delivery notification</li><li><strong>flight\_announcement :</strong> Flight announcement</li><li><strong>update\_order :</strong> Update order</li></ul> |

**Return data attribute structure**

| Parameters       | Data type          | Describe                                                                                                                                                               |
| ---------------- | ------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id               | int64              | Message ID on eTelecom system                                                                                                                                          |
| shop\_id         | int64              | Store ID on eTelecom system                                                                                                                                            |
| user\_id         | int64              | Sender ID on eTelecom system                                                                                                                                           |
| id               | int64              | OA ID                                                                                                                                                                  |
| call\_type       | string             | <ul><li><strong>audio:</strong> Voice call</li><li><strong>video:</strong> Video Call</li><li><strong>audio\_and\_video:</strong> Both voice and video calls</li></ul> |
| error\_code      | int                | Error code                                                                                                                                                             |
| error\_message   | string             | Error message                                                                                                                                                          |
| is\_charged      | boolean            | <p><strong><code>True</code></strong>: Paid news</p><p><strong><code>False</code></strong>: News is not charged</p>                                                    |
| status           | string             | <p>Status </p><p><strong><code>P</code></strong>: Success </p><p><strong><code>N</code></strong>: Failure</p>                                                          |
| phone            | string             | Recipient phone number                                                                                                                                                 |
| delivery\_status | string             | <p><strong><code>Unkown</code></strong>: Unknown</p><p><strong><code>Received</code></strong>: Received </p><p><strong><code>Seen</code></strong>: Viewed</p>          |
| delivery\_time   | string\<date-time> | Time the user's device receives the notification                                                                                                                       |
| updated\_at      | string\<date-time> | Update date                                                                                                                                                            |
| created\_at      | string\<date-time> | Date created                                                                                                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/api-etelecom-english/api-integration/zalo-cloud/zalo-cloud-api/send-request-for-calling-permission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
